#!/bin/bash
set -e
mkdir run
cd run
# 1 first generate the template files from all-atom itp file and
#   coordinates file; generates build_file.bld
python ../gen_templ.py ../AGLC_aa.pdb ../toppar/CARB.itp
# 2 extract the VS coordinates
echo -e "V" | gmx trjconv -f ../mapped.gro -o VS.gro -s ../cg.tpr -n ../index.ndx
# 3 next backmap structure using polyply
#   box coordinates should be the same as in VS.gro
polyply gen_coords -p ../topol.top -mc vs.gro -box  11.00650  11.00650  11.00650 -name backmapped -b build_file.bld -o basain.gro -back_fudge 0.8
# 4 run energy minimization
gmx grompp -f ../step4.0_minimization.mdp -c basain.gro -p ../topol.top -o min.tpr -maxwarn 1
gmx mdrun -v -s min.tpr -deffnm min
